Ticket #43755

Msys2: Qt6-client does not start

Open Date: 2022-02-01 14:30 Last Update: 2022-02-25 15:14

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Qt6-client built with a custom msys2 environment (one with qt6 libraries, obviously) does not start.

Qt6 modpack installer and ruledit do work, so the problem is not in that no Qt6-program would work in that environment. Also things like 'freeciv-qt --help' work, so the problem seems to be in the launching of the gui.

Ticket History (3/8 Histories)

2022-02-01 14:30 Updated by: cazfi
  • New Ticket "Msys2: Qt6-client does not start" created
2022-02-16 07:13 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
  • Component Update from (None) to Qt-client
2022-02-16 17:28 Updated by: cazfi
  • Resolution Update from Accepted to None
Comment

Clang gives an error when compiling this.

2022-02-16 21:01 Updated by: cazfi
Comment

The code in the repository does have a real memory handling problem with the size allocated for the extension name that the refactoring resolves. Targeting to S3_0 too.

2022-02-17 00:23 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

- Fixed amount of memory allocated (not size of the pointer)

2022-02-25 15:14 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login